textures/ajoobahts/joob_water
{
        qer_editorimage textures/joobahts/hq_water_a.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/joobahts/hq_water_a.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/joobahts/hq_water_b.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/joobahts/hq_water_c.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

textures/ajoobahts/water_nodraw
{
        qer_editorimage textures/joobahts/
        qer_trans 0.5
        surfaceparm nodraw
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm noimpact
        surfaceparm trans
        surfaceparm nomarks
        surfaceparm water
}

textures/ajoobahts/will_sheetrock
{
        qer_editorImage textures/joobahts/will_ceiling_sheetrock.tga
        surfaceparm nodamage
        {
            map textures/joobahts/will_ceiling_sheetrock.tga
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/ajoobahts/will_sheetrock_sl
{
        qer_editorImage textures/joobahts/will_ceiling_sheetrock.tga
        surfaceparm nodamage
        surfaceparm slick
        {
            map textures/joobahts/will_ceiling_sheetrock.tga
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/ajoobahts/floor
{
        qer_editorImage textures/joobahts/crate5.tga
        surfaceparm nodamage
        {
            map textures/joobahts/crate5.tga
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/ajoobahts/floor_sl
{
        qer_editorImage textures/joobahts/crate5.tga
        surfaceparm nodamage
        surfaceparm slick
        {
            map textures/joobahts/crate5.tga
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/ajoobahts/ladder
{
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    surfaceparm nodraw
}

textures/ajoobahts/crate5_hollow
{
    qer_editorImage textures/joobahts/crate5.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/joobahts/crate5.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/ajoobahts/will_ceiling_hollow
{
    qer_editorImage textures/joobahts/will_ceiling_sheetrock.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/joobahts/will_ceiling_sheetrock.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/ajoobahts/joob_cam
{
    qer_editorImage textures/joobahts/qer_looking_glass.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/joobahts/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/joobahts/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/ajoobahts/joob_glass
{
    q3map_lightImage textures/joobahts/glass_radiosity.tga
    qer_editorImage textures/joobahts/qer_clear.tga
    qer_trans 0.5
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/joobahts/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/ajoobahts/joob_lava
{
    qer_editorImage textures/joobahts/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/joobahts/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/joobahts/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/ajoobahts/jooblight
{
    qer_editorImage textures/joobahts/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/joobahts/light.tga
    }
}

